Page MenuHomePhabricator

Spike in PHP warnings from User.php; triggered from MobileFrontend's new use of ContribsPager with a User object instead of a string
Closed, ResolvedPublic

Description

146 Illegal offset type in /srv/mediawiki/php-1.33.0-wmf.2/includes/user/User.php on line 941
145 Array key should be either a string or an integer in /srv/mediawiki/php-1.33.0-wmf.2/includes/user/User.php on line 920

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterFix PHP warnings in User.php
mediawiki/core : masterUser: Don't fail mysteriously when passing a User object to idFromName()
mediawiki/extensions/MobileFrontend : wmf/1.33.0-wmf.2Fix PHP warnings in User.php

Event Timeline

Restricted Application changed the subtype of this task from "Release" to "Task". · View Herald Transcript
Restricted Application added a subscriber: MGChecker. · View Herald Transcript
Jdforrester-WMF removed thcipriani as the assignee of this task.Oct 31 2018, 9:12 PM
Jdforrester-WMF added a subscriber: thcipriani.

I don't think that it is partial blocks related. I noticed this at a low volume when I rolled forward to 1.33.0-wmf.2 and filed T208468.

Adding @aaron as someone who made changes to User.php on the latest branch.

aezell added a subscriber: aezell.Oct 31 2018, 9:19 PM

I am taking a look at this from the Partial Blocks perspective just in case.

Mentioned in SAL (#wikimedia-operations) [2018-10-31T21:43:34Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.2/includes/user/User.php: Temporary logging to debug T208469 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2018-10-31T21:47:04Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.2/includes/user/User.php: Temporary logging to debug T208469 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-10-31T21:55:55Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.2/includes/user/User.php: Temporary logging to debug T208469 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-10-31T22:03:12Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.2/includes/user/User.php: Temporary logging to debug T208469 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-10-31T22:06:40Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.2/includes/user/User.php: Temporary logging to debug T208469 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-10-31T22:17:12Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.2/includes/user/User.php: Temporary logging to debug T208469 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-10-31T22:19:18Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.2/includes/user/User.php: Revert debugging code for T208469 (duration: 00m 52s)

Jdforrester-WMF renamed this task from Spike in PHP warnings from User.php; partial blocks related? to Spike in PHP warnings from User.php; triggered from MobileFrontend's new use of ContribsPager with a User object instead of a string.Oct 31 2018, 10:29 PM

Change 470932 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/MobileFrontend@master] Fix PHP warnings in User.php

https://gerrit.wikimedia.org/r/470932

Change 470936 had a related patch set uploaded (by Jforrester; owner: Catrope):
[mediawiki/extensions/MobileFrontend@wmf/1.33.0-wmf.2] Fix PHP warnings in User.php

https://gerrit.wikimedia.org/r/470936

Mentioned in SAL (#wikimedia-operations) [2018-10-31T22:36:50Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.2/extensions/MobileFrontend/includes/specials/SpecialMobileContributions.php: Fix PHP warnings in User.php (T208469) (duration: 00m 53s)

Change 470940 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] User: Don't fail mysteriously when passing a User object to idFromName()

https://gerrit.wikimedia.org/r/470940

Change 470936 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.33.0-wmf.2] Fix PHP warnings in User.php

https://gerrit.wikimedia.org/r/470936

Change 470932 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix PHP warnings in User.php

https://gerrit.wikimedia.org/r/470932

Change 470940 merged by jenkins-bot:
[mediawiki/core@master] User: Don't fail mysteriously when passing a User object to idFromName()

https://gerrit.wikimedia.org/r/470940

Jdlrobson added a subscriber: Jdlrobson.

Since this caused some train issues, pulling in for visibility to rest of team (and myself)

phuedx claimed this task.Nov 1 2018, 5:08 PM

Hrm, I'm no longer seeing these errors in logstash, and I see that a couple patches are merged and at least 1 is backported to 1.33.0-wmf.2, does anything remain to be resolved? Still blocking further train rollout?

Removed as a deployment blocker, but leaving open for further review per IRC.

phuedx added a comment.Nov 2 2018, 9:51 AM

I'm not sure what there's left to review here. If the errors have disappeared from logstash, then this task can be resolved, right?

@phuedx +1 . I think we can resolve this card?

phuedx closed this task as Resolved.Nov 7 2018, 9:21 AM
phuedx added a subscriber: Catrope.

Per T208469#4713958.

Thanks to @Catrope for finding and fixing the bug and @Jdforrester-WMF for merging the fix(es).

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM